<?php

namespace Litecms\Packageplan\Repositories\Eloquent;

use Litecms\Packageplan\Interfaces\PackageplanRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class PackageplanRepository extends BaseRepository implements PackageplanRepositoryInterface
{


    public function boot()
    {
        $this->fieldSearchable = config('litecms.packageplan.packageplan.model.search');

    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('litecms.packageplan.packageplan.model.model');
    }
}
